package com.tenlionsoft.oamodule.beans;

import java.util.List;

/**
 * 作者: adam
 * 日期: 2022/4/15 - 16:58
 * 邮箱: itgaojian@163.com
 * 描述: 日常工作列表
 */
public class RoutineListBean {

    private int page;
    private int total;
    private List<RoutineBean> rows;

    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public List<RoutineBean> getRows() {
        return rows;
    }

    public void setRows(List<RoutineBean> rows) {
        this.rows = rows;
    }

    public static class RowsBean {
        private String isSchedule;
        private String routineWorkId;
        private int workCompleteDay;
        private String workCompleteEndTime;
        private String workCompleteStartTime;
        private String workFiles;
        private String workName;
        private String workRemarks;
        private String workResultReq;
        private String workSponsorUserIds;
        private String workSponsorUserNames;
        private String workUndertakerUserId;
        private String workUndertakerUserName;

        public String getIsSchedule() {
            return isSchedule;
        }

        public void setIsSchedule(String isSchedule) {
            this.isSchedule = isSchedule;
        }

        public String getRoutineWorkId() {
            return routineWorkId;
        }

        public void setRoutineWorkId(String routineWorkId) {
            this.routineWorkId = routineWorkId;
        }

        public int getWorkCompleteDay() {
            return workCompleteDay;
        }

        public void setWorkCompleteDay(int workCompleteDay) {
            this.workCompleteDay = workCompleteDay;
        }

        public String getWorkCompleteEndTime() {
            return workCompleteEndTime;
        }

        public void setWorkCompleteEndTime(String workCompleteEndTime) {
            this.workCompleteEndTime = workCompleteEndTime;
        }

        public String getWorkCompleteStartTime() {
            return workCompleteStartTime;
        }

        public void setWorkCompleteStartTime(String workCompleteStartTime) {
            this.workCompleteStartTime = workCompleteStartTime;
        }

        public String getWorkFiles() {
            return workFiles;
        }

        public void setWorkFiles(String workFiles) {
            this.workFiles = workFiles;
        }

        public String getWorkName() {
            return workName;
        }

        public void setWorkName(String workName) {
            this.workName = workName;
        }

        public String getWorkRemarks() {
            return workRemarks;
        }

        public void setWorkRemarks(String workRemarks) {
            this.workRemarks = workRemarks;
        }

        public String getWorkResultReq() {
            return workResultReq;
        }

        public void setWorkResultReq(String workResultReq) {
            this.workResultReq = workResultReq;
        }

        public String getWorkSponsorUserIds() {
            return workSponsorUserIds;
        }

        public void setWorkSponsorUserIds(String workSponsorUserIds) {
            this.workSponsorUserIds = workSponsorUserIds;
        }

        public String getWorkSponsorUserNames() {
            return workSponsorUserNames;
        }

        public void setWorkSponsorUserNames(String workSponsorUserNames) {
            this.workSponsorUserNames = workSponsorUserNames;
        }

        public String getWorkUndertakerUserId() {
            return workUndertakerUserId;
        }

        public void setWorkUndertakerUserId(String workUndertakerUserId) {
            this.workUndertakerUserId = workUndertakerUserId;
        }

        public String getWorkUndertakerUserName() {
            return workUndertakerUserName;
        }

        public void setWorkUndertakerUserName(String workUndertakerUserName) {
            this.workUndertakerUserName = workUndertakerUserName;
        }
    }
}
